Skip to content

Cancel Augmentation Job

POST
/v1/augmentation/{job_id}/cancel

Cancel an augmentation job.

Stops the job if it’s still running and triggers credit finalization. Any unused credits from the reservation will be returned.

job_id
required
Job Id
string format: uuid
x-api-key
required
X-Api-Key
string

Augmentation job cancelled successfully

AugmentationCancelResponse

Response after cancelling an augmentation job.

object
job_id
required
Job Id

Cancelled job ID

string format: uuid
cancelled
required
Cancelled

Whether cancellation was successful

boolean
message
Any of:
string

Invalid or missing API key

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Augmentation job not found

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Validation error